Manage datasets

Use the REST API to create and manage datasets.

Get all datasets

get

Returns all of the datasets that the user has access to. Each dataset contains a set of minimal info, for more detailed information on a given dataset use the /api/dataset/{datasetId} endpoint.

Path parameters
filterSynthesizedbooleanRequiredDefault: true
Responses
chevron-right
200

OK

application/json
idstringOptional
namestringOptional
fileSourceall of · nullableOptional
string · enumOptionalPossible values:
tagsstring[]Optional
lastUpdatedall ofOptional
objectOptional
createdall ofOptional
objectOptional
get
/api/Dataset
200

OK

Gets the dataset by its Id

get

Returns the dataset specified by the datasetId

Path parameters
datasetIdstringRequired
Responses
chevron-right
200

OK

application/json
idstringOptional
namestringOptional
enabledModelsstring[]Optional
lastUpdatedall ofOptional
objectOptional
docXImagePolicyall ofOptionalPossible values:
string · enumOptionalPossible values:
pdfSignaturePolicyall ofOptionalPossible values:
string · enumOptionalPossible values:
docXCommentPolicyall ofOptionalPossible values:
string · enumOptionalPossible values:
docXTablePolicyall ofOptionalPossible values:
string · enumOptionalPossible values:
fileSourceall ofOptionalPossible values:
string · enumOptionalPossible values:
customPiiEntityIdsstring[]Optional
get
/api/Dataset/{datasetId}

Creates a new dataset

post

Creates a new dataset with the specified configuration. You must specify a unique, non-empty dataset name

Body
Responses
chevron-right
200

OK

application/json
idstringOptional
namestringOptional
enabledModelsstring[]Optional
lastUpdatedall ofOptional
objectOptional
docXImagePolicyall ofOptionalPossible values:
string · enumOptionalPossible values:
pdfSignaturePolicyall ofOptionalPossible values:
string · enumOptionalPossible values:
docXCommentPolicyall ofOptionalPossible values:
string · enumOptionalPossible values:
docXTablePolicyall ofOptionalPossible values:
string · enumOptionalPossible values:
fileSourceall ofOptionalPossible values:
string · enumOptionalPossible values:
customPiiEntityIdsstring[]Optional
post
/api/Dataset

Edits a dataset

put

Updates a dataset to use the specified configuration.

Query parameters
shouldRescanbooleanOptional
Body
Responses
chevron-right
200

OK

application/json
idstringOptional
namestringOptional
outputFormatall ofOptionalPossible values:
string · enumOptionalPossible values:
tagsstring[]Optional
lastUpdatedall ofOptional
objectOptional
createdall ofOptional
objectOptional
docXImagePolicyall of · nullableOptional
string · enumOptionalPossible values:
pdfSignaturePolicyall of · nullableOptional
string · enumOptionalPossible values:
pdfSynthModePolicyall of · nullableOptional
string · enumOptionalPossible values:
docXCommentPolicyall of · nullableOptional
string · enumOptionalPossible values:
docXTablePolicyall of · nullableOptional
string · enumOptionalPossible values:
fileSourceall of · nullableOptional
string · enumOptionalPossible values:
customPiiEntityIdsstring[] · nullableOptional
awsCredentialSourcestring · nullableOptional
outputPathstring · nullableOptional
ocrServiceProviderall of · nullableOptional
string · enumOptionalPossible values:
put
/api/Dataset

Last updated

Was this helpful?